%define upstream_name    Helios
%define upstream_version 2.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Helios service to index MP3s to a database table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::ObjectDriver)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(TheSchwartz)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Helios is a system for building asynchronous distributed job processing
applications. Applications that need to process millions of small units of
work in parallel can use the Helios system to scale this work across the
multiple processes and servers that form a Helios collective. Helios may
also be used to improve the user experience on websites. By utilizing the
framework's APIs, potential timeout issues can be eliminated and response
times decreased for larger tasks invoked in response to user input. The web
server application can "fire and forget" in the background, immediately
returning control to the user. Using Helios, simple Perl applications can
be written to distribute massive workloads throughout the Helios collective
while still retaining centralized management.

The Helios module itself is merely a placeholder for versioning and
documentation purposes. If you want to require Helios (or a certain version
of it) in your package, adding

 Helios => 2.00

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std
rm -f %{buildroot}/%perl_vendorlib/README.pod

%files
%doc Changes META.yml README INSTALL LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/helios.pl
/usr/bin/helios_job_submit.pl
/usr/bin/helios_log_clean.pl
/usr/share/man/man1/helios.pl.1.xz
/usr/share/man/man1/helios_job_submit.pl.1.xz
/usr/share/man/man1/helios_log_clean.pl.1.xz



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.610.0-2.mga4
+ Revision: 534872
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 2.610.0-1.mga4
+ Revision: 479862
- update to 2.61

* Sun Jan 13 2013 umeabot <umeabot> 2.600.0-2.mga3
+ Revision: 368428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 2.600.0-1.mga3
+ Revision: 319183
- New version 2.60 + get rid of README.pod

* Mon Jun 04 2012 kharec <kharec> 2.410.0-1.mga3
+ Revision: 254414
- imported package perl-Helios


* Mon Jun 04 2012 cpan2dist 2.41-1mga
- initial mageia release, generated with cpan2dist
